Android-Fingerabdruck-Scanner-Api

Will ich mit Android-Finger-Print-Scanner-API in meine Android-Anwendung.Aber so wie ich bin, fand ich, muss ich haben android marshmallow-OS um diese Funktion zu nutzen.

Ich auch heruntergeladen, Beispiel-app aus dem android offiziellen Website, und Sie haben auch erwähnt, min required sdk als 23.

Ist das also bedeuten, dass ich nicht verwenden diese API vor 23?
Selbst Vertrauenswürdige Referenz CommonsWare schlägt seine nicht möglich
http://stackoverflow.com/questions/32563262/fingerprint-scanner-support-for-lower-android-versions
Wenn ich es richtig, dass die android-Eibisch zur Unterstützung von finger-print-scanner,, Wie kann ich Unterstützung von Finger-Print-Scanner-Funktion-pre-marshmallow?

InformationsquelleAutor Jay Vyas | 2016-05-16



2 Replies
  1. 1

    Ich weiß nicht, welche Art von Anwendung, die Sie bauen/haben.

    Gibt es einige Optionen.

    1. Verwenden Fingerabdruck nur auf API-Ebene 23 und implementieren einige andere Sicherheitsmaßnahmen auf API-Ebene niedriger als 23

    2. Überprüfen Sie Ihre app-Statistiken zu bestimmen, die allgemein verwendete Geräte und überprüfen Sie die Geräte-spezifischen Fingerabdruck-integration. (Samsung hat die SDK für Fingerabdrücke, wenn das Gerät hat einen scanner eingebaut.)

      Verwenden Sie die Android-Umsetzung auf API-Ebene 23 und die gerätespezifischen SDK für Geräte geringer als API-23.

    3. Nicht verwenden Fingerabdruck überhaupt.

    • Sie haben gute Lösungen Mann. Aber ich muss code, der diese Funktion für jedes Gerät , wenn ich über den Geräte-spezifischen sdk haben Sie Informationen über gemeinsame Dritte sdk?
    • Ja es ist nicht einfach. Zuerst müssen Sie entscheiden, ob Sie es wirklich brauchen oder wie Sie es hinzufügen, weil es trending now. Ich bin nicht sicher, über gemeinsame Dritte sdk, da in der Regel der Hersteller des Geräts muss die Integration der Unterstützung in die Android selbst, dann um die Bereitstellung und sdk für uns, um in der Lage sein Zugriff auf diese low-level-APIs, dann jemand schreiben muss ein wrapper für alle, die SDKs.
  2. 0

    für Geräte mit OS-API niedriger als API-23, nur noch Zugriff auf Hersteller-website und finden „SDK“, „API“, … zu finden fingerprint sdk (lib-Datei) für Ihre app.
    Für Sky ist es PantechFingerprint SDK (Ex: Sky A890) : https://github.com/pantechfingerprint/PantechFingerSDK
    Für Samsung ist es Pass SDK : http://developer.samsung.com/sensor-extension#pass
    Ich weiß nicht, FingerPrintManger von Android OS-API-23 und höher funktioniert mit allen Arten von Fingerabdruck-sensor, der eine Menge von smart-Telefon auf dem Markt. Ich selbst habe kein Android-Telefon 6.0 zu prüfen. Zu schlecht für einen Entwickler wie mich.

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.